Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.workflow.data
Class EventPackage

    java.lang.Object
      net.sf.dropboxmq.workflow.data.EventPackage

All Implemented Interfaces:
  Serializable, Cloneable

    public class EventPackage

extends Object
implements Serializable, Cloneable

Created: 21 Oct 2010

Version:
  $Revision$, $Date$
Author:
  Dwayne Schultz
See Also:
  Serialized Form

Constructor Summary
`EventPackage()`

Method Summary
`EventPackage` | `clone()`
`boolean` | `equals(Object obj)`
`String` | `getContent()`
`Map<String,String>` | `getEventProperties()`
`String` | `getProtocol()`
`int` | `hashCode()`
`void` | `setContent(String content)`
`void` | `setEventProperties(Map<String,String> eventProperties)`
`void` | `setProtocol(String protocol)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EventPackage

    public EventPackage()

Method Detail

### getProtocol

    public String getProtocol()

### setProtocol

    public void setProtocol(String protocol)

### getContent

    public String getContent()

### setContent

    public void setContent(String content)

### getEventProperties

    public Map<String,String> getEventProperties()

### setEventProperties

    public void setEventProperties(Map<String,String> eventProperties)

### clone

    public final EventPackage clone()

  Overrides:
    `clone` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD